Package net.shibboleth.idp.attribute.transcoding

# Interface AttributeTranscoderRegistry.NamingFunction<T>

Type Parameters:
  `T` - type of object

All Known Implementing Classes:
  `BasicNamingFunction`

Enclosing interface:
  AttributeTranscoderRegistry

public static interface AttributeTranscoderRegistry.NamingFunction<T>
Interface to a naming function that allows an object to be turned into a unique string name.

Since:
  4.1.0

## Method Summary

Modifier and Type
Method
Description
`Function<T,String>`
`getFunction()`
Gets the function that produces a name for an input object.
`Class<T>`
`getType()`
Gets the type of object supported.

## Method Details

### getType

@Nonnull Class<T> getType()
Gets the type of object supported.

Returns:
  object type

### getFunction

@Nonnull Function<T,String> getFunction()
Gets the function that produces a name for an input object.

Returns:
  naming function